<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Edit Loan</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>
<body>
<div class="container my-5">
    <h2 class="mb-5">New Loan</h2>
    <div class="row">
        <div class="col-md-6">
            <form action="#" th:action="@{/loan/add}" th:object="${loanDto}" method="post">
                <div class="row">
                    <div class="form-group col-md-6">
                        <label for="dateOfRental" class="col-form-label">Date Of Rental</label>
                        <input type="date" th:field="*{dateOfRental}" class="form-control" id="dateOfRental" placeholder="Date Of Rental">
                        <span th:if="${#fields.hasErrors('dateOfRental')}" th:errors="*{dateOfRental}" class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="employee" class="col-form-label">Employee</label>
                        <select class="form-control" th:field="*{employee}" id="employee">
                            <option th:each="empl : ${availableEmployees}"
                                    th:value="${empl.id}"
                                    th:text="${empl.name}">
                            </option>
                        </select>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="reservation" class="col-form-label">Reservation</label>
                        <select class="form-control" th:field="*{reservation}" id="reservation">
                            <option th:each="res : ${availableReservations}"
                                    th:value="${res.id}"
                                    th:text="${res.client}">
                            </option>
                        </select>
                    </div>
                </div>
                <div class="form-group col-md-6">
                    <label for="comments" class="col-form-label">Comment</label>
                    <input type="text" th:field="*{comments}" class="form-control" id="comments" placeholder="Comment">
                    <span th:if="${#fields.hasErrors('comments')}" th:errors="*{comments}" class="text-danger"></span>
                </div>
                <div class="row">
                    <div class="col-md-6 mt-5">
                        <input type="submit" class="btn btn-primary" value="Add loan">
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
</body>
</html>
